package jst.model;

import java.util.List;

abstract public class GenericInterfaceType extends InterfaceType {
	/**
	 * The type parameters this type has. If empty then indicates it's a "non generic type".
	 */
	List<TypeTypeParameter> _parameters;
	
	/**
	 * The interfaces that have been constructed from this type. This should be empty
	 * iff _parameters is empty.
	 */
	List<ConstructedInterfaceType> _constructedInterfaces;
}
