package jst.model;

import java.util.List;

/**
 * Represents a type that can be a parameter to an type expression.
 */
public class TypeParameter extends BoundType {
	/**
	 * The types that are upper bounds on this type ordered in the order they
	 * are listed in the source. Will be empty if there are no such bounds, 
	 * and only the first can be a {@link ClassType}. 
	 */
	private List<BoundType> _upperBounds;
}
