package jst.symtab.link;

import jst.app.JSTMessage;
import jst.symtab.*;

public class PackageOrTypeLookup extends CompoundLookup {

	public PackageOrTypeLookup(ScopeLink qualifier, Identifier name) {
		super(qualifier, name);
	}

	public PackageOrTypeLookup(Decl newOwner, PackageOrTypeLookup that) {
		super(newOwner, that);
	}

	public PackageOrTypeLookup copy(Decl newOwner) {
		return new PackageOrTypeLookup(newOwner, this);
	}

	public JSTMessage getError() {
		return JSTMessage.PACKAGE_OR_TYPE_NOT_FOUND;
	}
}
